## WebKitPointerLockPermissionRequest WebKitPointerLockPermissionRequest — A permission request for locking the pointer |

## Types and Values

struct | WebKitPointerLockPermissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitPointerLockPermissionRequest

## Implemented Interfaces

WebKitPointerLockPermissionRequest implements WebKitPermissionRequest.

## Description

WebKitPointerLockPermissionRequest represents a request for permission to decide whether WebKit can lock the pointer device when requested by web content.

When a WebKitPointerLockPermissionRequest is not handled by the user, it is allowed by default.

## Functions

## Types and Values

### struct WebKitPointerLockPermissionRequest

    struct WebKitPointerLockPermissionRequest;

## See Also

WebKitPermissionRequest, WebKitWebView